<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>

<xsl:template name="title">
	<xsl:choose>
		<xsl:when test="data/@action = 'HelpDeskTable' or data/@action = 'HelpDeskPackage'">HelpDesk</xsl:when>
		<xsl:when test="data/@action = 'Topic'">HelpDesk - </xsl:when>
		<xsl:when test="data/@action = 'HelpDeskParam'">HelpDesk - </xsl:when>
	</xsl:choose>
	<xsl:choose>
		<xsl:when test="data/@command = 'newtopic'"> -   </xsl:when>
		<xsl:when test="data/@command = 'activetopic'"> -  </xsl:when>
		<xsl:when test="data/@command = 'archivetopic'"> - </xsl:when>
		<xsl:when test="data/@command = 'packagelist'"> - </xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="/data">
<xsl:if test="@action = 'HelpDeskAJAX'">
<link rel="stylesheet" type="text/css" href="css/ru.bitel.bgbilling.plugins.helpdesk.css"/>
<link rel="stylesheet" type="text/css" href="css/ui-lightness/jquery-ui.css"/>
<script language="javascript" type="text/javascript">var contractId = <xsl:value-of select="$CONTRACT_ID"/>; </script>
<script language="javascript" type="text/javascript" src="js/ru.bitel.bgbilling.plugins.helpdesk.js"></script>

	<!--  -->
	<table class="filter">
		<tr>
			<td><input type="button" value=" " onclick="addHelpDeskTopic()" /></td>
			<td><input type="button" value="" onclick="showTopicTable( 'active' )" /></td>
			<td><input type="button" value="" onclick="showTopicTable( 'archive' )" /></td>
			<td><input type="button" value="" onclick="showHelpDeskParam()" /></td>
			<td><input type="button" value="" onclick="showHelpDeskPackage()" id="helpDeskButtonPackages" style="display: none" /></td>
			<td><span style="font-size: 10pt;" class="colorInfo">[,    ,   <a style="font-size: 10pt;" href="?action=HelpDeskTable&amp;mid=0&amp;module=ru.bitel.bgbilling.plugins.helpdesk"></a>]</span></td>
			<td><span style="font-size: 10pt;" class="colorInfo">[<a style="font-size: 10pt;" href="http://forum.bgbilling.ru/viewforum.php?f=31" target="_blank">      </a>]</span></td>			
		</tr>
	</table>

	<div id="topicList" class="report" style="display: none">
	<form>
	<input type="hidden" name="contractId" value="{$CONTRACT_ID}" />
	<div class="filter">
		<span>ID: </span><span><input type="text" name="topicId" size="5" /></span>
		<span>: </span><span><input type="text" name="topicTitle" size="20" /></span>
		<span>   <input type="text" name="date1" size="7" />  <input type="text" name="date2" size="7" /></span>
		<span>    </span><span><input type="text" name="searchString" size="40" /></span>
		<span><input type="button" value=" " onclick="setTopicListFilter( this.form );" class="button" /></span>
		<span><input type="button" value=" " onclick="resetTopicListFilter( this.form );" class="button" /></span>
	</div>
	</form>
	<div id="topicItemList"></div>
	<div id="topicItem" style="display: none">
		<!-- 
		<div class="HelpDeskTopicListItemPrefix">
			<span class="n">:</span><span class="v" id="topicItemId" />
			<span class="n">:</span><span class="v" id="topicItemId" />
		</div>
		-->
		<div class="HelpDeskTopicListItemTitle" id="topicItemTitle"/>
		<div class="HelpDeskTopicListItemCommand">
			<span class="n">ID:</span><span class="v" id="topicItemId" />
			<span class="v" id="topicItemDownload" />
			<span class="v" id="topicItemShowHideParam" />
			<span class="v" id="topicItemURL" />
		</div>
	</div>
	<div class="HelpDeskTopicListItemParam" id="topicItemParam" style="display: none; position: absolute; z-index: 1;">
		<table class="HelpDeskTopicListItemParam">
		<tr>
			<td><span class="n">ID:</span></td><td><span class="v" id="topicItemId" /></td>
			<td><span class="n"> :</span></td><td><span class="v" id="topicItemDateCreate" /></td>
		</tr>
		<tr>
			<td><span class="n">:</span></td><td><span class="v" id="topicItemStatus" /></td>
			<td><span class="n"> :</span></td><td><span class="v" id="topicItemDateClose" /></td>
		</tr>
		<tr>
			<td><span class="n">:</span></td><td><span class="v" id="topicItemState" /></td>
			<td><span class="n">  :</span></td><td><span class="v" id="topicItemInPackage" /></td>
		</tr>
		<tr>
			<td><span class="n">:</span></td><td><span class="v" id="topicItemNotify" /></td>
			<td><span class="n">:</span></td><td><span class="v" id="topicItemCost" /></td>
		</tr>
		</table>
		<div style="text-align: right; color: blue; cursor: pointer" onclick="this.offsetParent.style.visibility = 'hidden'"></div>
	</div>
	<!--
	<table id="topicTable" cellspacing="1" style="border: 0px; width: 100%;">
		<col width="70" align="right"/>
		<col/>
		<col/>
		<col width="180"/>
		<col width="150"/>
		<col width="100"/>
		<col width="100"/>
		<col width="50"/>
		<thead>
			<tr>
				<td>ID</td>
				<td></td>				
				<td></td>
				<td> <br/>[ ]</td>			
				<td><br/>[]</td>
				<td></td>
				<td>  </td>
				<td></td>
			</tr>
		</thead>
		<tbody>
		</tbody>
	</table>
	-->
	</div>
	
	<div id="topicData" style="display: none">
		<div class="HelpDeskTopicInfo colorInfo">
			<span class="n">ID: </span><span class="v" id="topicId" />
			<span class="n">: </span><span class="v" id="topicStatus" />
			<span class="n"> : </span><span class="v" id="topicDate" />
			<span class="n">:</span><span class="v" id="topicComm" />
			<span class="n">:</span><span class="v" id="topicUser" />
			<span class="n">URL :</span><a id="topicURL" />
		</div>
		<div class="HelpDeskTopicTitle colorTitle"><span>:</span><span id="topicTitle"/></div>
		<hr />
		<div id="topicMesssageFilter" style="padding: 5px 3px;"> : 
			<a href='#' style='font-weight: bold;' onclick='return helpDeskTopicMessageFilter( this, 5 );'> 5</a> | 
			<a href='#' onclick='return helpDeskTopicMessageFilter( this, 10 );'> 10</a> | 
			<a href='#' onclick='return helpDeskTopicMessageFilter( this, -1 );'></a> | 
			<a href='#' onclick='return helpDeskTopicMessageFilter( this, -2 );'></a> | 
			<a href='#' onclick='return helpDeskTopicMessageFilter( this, -3 );'></a>
		</div>
		<div id="topicMesssageList" />		
		<table id="topicMessage" class="tableBorder" width="100%" border="0" cellpadding="1" style="margin-bottom: 10px; position: absolute; left: -2500px; right: -2000px; top: 0;">
			<tr>
				<td class="tableBackgroundColorHead tableBorder" style="padding: 3px 10px;">
					<div class="HelpDeskTopicMessage colorInfoDark">
						<span class="new colorNew" id="messageNew"></span>
						<span class="n">: </span><span class="v" id="messageN" />
						<span class="n">ID: </span><span class="v" id="messageId" />
						<span class="n">:</span><span class="v" id="messageFrom" />
						<span class="n">:</span><span class="v" id="messageTo" />
						<span id="messageReply" />
					</div>
				</td>
			</tr>
			<tr><td><div class="HelpDeskTopicMessageFile" id="messageFile" /></td></tr>
			<tr><td align="left"><div class="HelpDeskTopicMessageText colorText" /></td></tr>
		</table>
		<div id="topicReplyButton"><input type="button" value="" onclick="topicMessageNew( '' )" /> <input type="button" style="margin-left: 2em;"  value=" " onclick="helpDeskTopicClose()" /></div>
		<div id="topicMessageNew" style="display: none; font-size: 10pt;">
			<form action="{$WEBEXECUTER}" method="post" enctype="multipart/form-data" target="messageFrame">
			<input type="hidden" name="action" value="AddMessage" />
			<input type="hidden" name="topicId" value="" />
			<input type="hidden" name="contractId" value="{$CONTRACT_ID}" />
			<input type="hidden" name="ct" value="json" />
			<input type="hidden" name="mid" value="0" />
			<input type="hidden" name="module" value="ru.bitel.bgbilling.plugins.helpdesk" />
			<div style="width: 100%;"> <br/><textarea name="message_body" rows="20" style="width: 100%; font-size: 12pt;"></textarea></div>
			<div id="tdwithfileinput"> <br/></div>
			<div style="padding: 10px 0px;"> <input type="button" value="" onclick="sendTopicMessageNew( this.form )" /></div>
			</form>
			<iframe name="messageFrame" width="0" height="0" border="0" style="width: 0; height: 0; border: none;"></iframe>
		</div>
	</div>
	
	<div id="helpDeskParam" class="report" style="display: none">
		<form action="{$WEBEXECUTER}">	
		<input type="hidden" name="action" value="UpdateParam" />
		<input type="hidden" name="module" value="ru.bitel.bgbilling.plugins.helpdesk" />
		<input type="hidden" name="mid" value="0" />
		<input type="hidden" name="ct" value="json" />
		<input type="hidden" name="contractId" value="{$CONTRACT_ID}" />
		<table>
			<thead>
			<tr>
				<td> </td>
				<td></td>
				<td> ()</td>
			</tr>
			</thead>
			<tbody>
				<tr>
					<td>    ( ):</td>
					<td><select name="default.comm.mode" onchange="showHelpDeskParamSaveButton( this.form )"></select></td>
					<td><span id="currentCommMode"></span></td>
				</tr>
				<tr id="commPhoneValue">
					<td>  ( ):</td>
					<td><input type="text" name="comm.phone.value" size="30" onkeyup="showHelpDeskParamSaveButton( this.form );" /></td>
					<td><span id="currentCommPhoneValue"></span></td>
				</tr>
				<tr id="commEmailValue">
					<td>E-mail ( ):</td>
					<td><input type="text" name="comm.email.value" size="30" onkeyup="showHelpDeskParamSaveButton( this.form );" /></td>
					<td><span id="currentCommEmailValue"></span></td>
				</tr>
			</tbody>
			</table>
			<div style="margin-top: 10px;"><input type="button" name="save" value=" " onclick="saveHelpDeskParam( this.form );" /></div>
		</form>
	</div>

	<div id="helpDeskPackage" style="display: none">
	<div class="listTitle"> :</div>
	<div class="report">
	<table>
		<col class="col1" width="50"/>
		<col class="col2" width="150"/>
		<col class="col3" width="100"/>
		<col class="col4" width="180"/>
		<col class="col5" width="80"/>
		<col class="col6"/>
		<thead>
			<tr>
				<td>ID</td>
				<td></td>				
				<td></td>				
				<td> []</td>
				<td></td>
				<td></td>
			</tr>
		</thead>
		<tbody/>
	</table>
	</div>
	<div style="margin-top: 10px;">
		<div class="listTitle colorListTitle">  <span class="memo colorListTitleMemo">(              )</span>:</div>
		<div id="helpDeskPackageList" />
		<div id="helpDeskPackageListItem" style="display: none;" class="listItem">
			<div class="listItemTitle" id="packageItemTitle" />
			<div class="listItemParam">
				<span class="n"> []:</span><span class="v" id="packageItemPeriod"/>
				<span class="n">:</span><span class="v" id="packageItemCount"/>
				<span class="n">:</span><span class="v" id="packageItemSumma"/>
			</div>
		</div>
	</div>
	</div>

	<div id="helpDeskAddTopic" style="display: none">
	<form action="{$WEBEXECUTER}">
	<input type="hidden" name="action" value="UpdateTopic" />
	<input type="hidden" name="module" value="ru.bitel.bgbilling.plugins.helpdesk" />
	<input type="hidden" name="mid" value="0" />
	<input type="hidden" name="ct" value="json" />
	<input type="hidden" name="contractId" value="{$CONTRACT_ID}" />
	<div class="formItem"><span class="title">:</span><br /><input type="text" style="width: 100%;" name="topic_title" size="50" /></div>
	<div class="formItem"><span class="title">   :</span><br /><select name="topic.comm.mode" onchange="setTopicCommValue(this.form)"></select> <input type="text" name="topic.comm.value" size="50"/></div>
	<div class="formButton"><input type="button" value="" onclick="updateHelpDeskTopic(this.form)" /></div>
	</form>
	</div>
	
	<script language="javascript" type="text/javascript">
		getHelpDeskMode();
		<xsl:choose>
			<xsl:when test="@topicId">showTopic( <xsl:value-of select="@topicId" /> );</xsl:when>
			<xsl:otherwise>showTopicTable( 'active' );</xsl:otherwise>
		</xsl:choose>
	</script>
	
	</xsl:if>

<xsl:if test="@action != 'HelpDeskAJAX'">
<script language="javascript" type="text/javascript">
	<xsl:text disable-output-escaping="yes">
	<![CDATA[
var numfinput = 1;
function filechange()
{
	++numfinput;
	var g=document.getElementById('tdwithfileinput');
	var bre=document.createElement('br');
	g.appendChild(bre);
	var inpt=document.createElement('input');
	inpt.type="file";
	inpt.size=50;
	inpt.name="message_file_"+numfinput;
	inpt.onchange=filechange;
	g.appendChild(inpt);
}

var sendandclose = false;
function sendAndClose(button)
{
	sendandclose = true;
	if( confirm(' ,       ?') )
	{
		button.form.command.value="savemessageandclose";
		button.form.submit();
	}
}
	]]>
	</xsl:text>
</script>

	<style>
<xsl:text disable-output-escaping="yes">
<![CDATA[
div.HelpDeskTopicInfo { font-size: 8pt; color: #808080; }
div.HelpDeskTopicInfo span.n { font-weight: bold; margin-right: 0.3em; }
div.HelpDeskTopicInfo span.v { margin-right: 1em; }

div.HelpDeskTopicTitle { font-size: 14pt; font-weight: bold; color: #4040ff; margin-top: 5px; padding: 5px; }
div.HelpDeskTopicTitle span { font-weight: bold; margin-right: 1em; }

div.HelpDeskTopicMessage { font-size: 8pt; color: #404040; }
div.HelpDeskTopicMessage span.n { font-weight: bold; margin-right: 0.3em; }
div.HelpDeskTopicMessage span.v { margin-right: 1em; }
div.HelpDeskTopicMessage span.new { font-weight: bold; color: blue; padding-right: 5px; }

div.HelpDeskTopicMessageText { font-size: 11pt; color: #101010; }
]]>
</xsl:text>
	</style>
	

	<!--  -->
	<table class="filter">
		<tr>
			<td>
				<xsl:call-template name="rawLinkButton">
					<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=HelpDeskTable&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;command=newtopic&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					<xsl:with-param name="title" select="' '"/>
				</xsl:call-template>
			</td>
			<td>
				<xsl:call-template name="rawLinkButton">
					<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=HelpDeskTable&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;command=activetopic&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					<xsl:with-param name="title" select="''"/>
				</xsl:call-template>
			</td>
			<td>
				<xsl:call-template name="rawLinkButton">
					<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=HelpDeskTable&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;command=archivetopic&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					<xsl:with-param name="title" select="''"/>
				</xsl:call-template>
			</td>
			<td>
				<xsl:call-template name="rawLinkButton">
					<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=HelpDeskParam&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;command=showparam&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					<xsl:with-param name="title" select="''"/>
				</xsl:call-template>
			</td>
			<xsl:if test="//data/packages">
			<td>
				<xsl:call-template name="rawLinkButton">
					<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=HelpDeskPackage&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;command=packagelist&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					<xsl:with-param name="title" select="''"/>
				</xsl:call-template>
			</td>
			</xsl:if>
		</tr>
	</table>
	</xsl:if>
	
	<xsl:if test="@action = 'HelpDeskTable' and (@command = 'activetopic' or @command = 'archivetopic')">		
		<form method='post' action='{$WEBEXECUTER}'>
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"	/>
		<input type="hidden" name="command"><xsl:attribute name="value"><xsl:value-of select="/data/@command"/></xsl:attribute></input>
		<input type="hidden" name="contractId" value="{$CONTRACT_ID}" />
		<table class="filter">
			<tr>
				<th>
					ID 
				</th>
				<td>
					<input type="text" name="tid" size="5" value="{@tid}"/>
				</td>
				<th style="text-align:center">
					
				</th>
				<td>
					<input type="text" name="topic" size="20" value="{@topic}"/>
				</td>
				<th style="text-align:center">
					  
					<input type="text" name="date1" size="7" value="{@date1}"/>
				</th>
				<th style="text-align:center">
					
					<input type="text" name="date2" size="7" value="{@date2}"/>
				</th>
			</tr>
		</table>
		<table class="filter">
			<tr>
				<th style="text-align:center">
					   
				</th>
				<td>
					<input type="text" name="searchString" size="40" value="{@searchString}"/>
				</td>
				<td>
					<xsl:call-template name="submit">
						<xsl:with-param name="title" select="''"/>
						<xsl:with-param name="guid" select="'_v'"/>
					</xsl:call-template>
				</td>
				<td>
					<xsl:call-template name="rawLinkButton">
						<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=HelpDeskTable&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;command=activetopic&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
						<xsl:with-param name="title" select="''"/>
					</xsl:call-template>
				</td>
			</tr>
		</table>
		</form>
		<hr/>
	</xsl:if>	
	
	
	<xsl:if test="@action = 'HelpDeskTable' and (@command = 'activetopic' or @command = 'archivetopic')">		
		<xsl:call-template name="HelpDeskTable"/>		
	</xsl:if>
	<xsl:if test="@action = 'HelpDeskTable' and @command = 'newtopic'">		
		<xsl:call-template name="HelpDeskAdd"/>		
	</xsl:if>
	<xsl:if test="@action = 'Topic'">		
		<xsl:call-template name="HelpDeskTopic"/>		
	</xsl:if>	
	<xsl:if test="@action = 'HelpDeskPackage'">		
		<xsl:call-template name="HelpDeskPackage"/>		
	</xsl:if>	
	<xsl:if test="@action = 'HelpDeskParam'">		
		<xsl:call-template name="HelpDeskParam"/>		
	</xsl:if>	
</xsl:template>


<xsl:template name="HelpDeskTable">
	<div class="report">
	<table cellspacing="1" style="border: 0px; width: 100%;">
		<col width="50" align="right"/>
		<col/>
		<col/>
		<col width="150"/>
		<col width="70"/>
		<col width="130"/>
		<xsl:if test="//data/nonPackageMode">
			<col width="100"/>
		</xsl:if>
		<xsl:if test="//data/packages">
			<col width="100"/>
		</xsl:if>
		<col width="50"/>
		<thead>
			<tr>
				<td>ID</td>
				<td></td>				
				<td></td>
				<td> </td>			
				<td></td>
				<td> </td>
				<td></td>
				<xsl:if test="//data/nonPackageMode">
					<td></td>
				</xsl:if>
				<xsl:if test="//data/packages">
					<td>  </td>
				</xsl:if>
				<td></td>
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="tableTopic/row">
			<tr>
				<td><xsl:value-of select="@id"/></td>
				<td style="text-align: left">
					<a href="{$WEBEXECUTER}?action=Topic&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;id={@id}&amp;contractId={$CONTRACT_ID}"><xsl:value-of select="@title"/></a>					
					<xsl:if test="@haveNewMsg = 'true'">						
						<a style="color: red;" href="{$WEBEXECUTER}?action=Topic&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;id={@id}&amp;contractId={$CONTRACT_ID}#new"> []</a>
					</xsl:if>
				</td>
				<td>
					<xsl:choose>
						<xsl:when test="@comm = '0'">-</xsl:when>
						<xsl:when test="@comm = '1'"> : <xsl:value-of select="@comm_value" /></xsl:when>
						<xsl:when test="@comm = '2'"> e-mail: <xsl:value-of select="@comm_value" /></xsl:when>
					</xsl:choose>
				</td>
				<td><xsl:value-of select="@date"/></td>
				<td><xsl:value-of select="@status"/></td>
				<td><xsl:value-of select="@dateClose"/></td>
				<td><xsl:value-of select="@type"/></td>
				<xsl:if test="//data/nonPackageMode">
					<td><xsl:value-of select="@cost"/></td>
				</xsl:if>		
				<xsl:if test="//data/packages">
					<td><xsl:value-of select="@inpackage"/></td>
				</xsl:if>	
				<td><a href="{$WEBEXECUTER}?action=DownloadTopic&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;id={@id}&amp;contractId={$CONTRACT_ID}"></a></td>
			</tr>
			</xsl:for-each>
		</tbody>
	</table>
	</div>
</xsl:template>


<xsl:template name="HelpDeskPackage">
	<div style="margin-top: 10px;">
		 :
	</div>
	<div class="report">
	<table style="border: 0px; width: 100%;">
		<col class="col1" width="50" align="right"/>
		<col class="col2" width="150"/>
		<col class="col3" width="100"/>
		<col class="col4" width="180"/>
		<col class="col5" width="80"/>
		<col class="col6"/>
		<thead>
			<tr>
				<td>ID</td>
				<td></td>				
				<td></td>				
				<td> []</td>
				<td></td>
				<td></td>
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="packages/tablePackageContract/row">
			<tr>
				<td align="right"><xsl:value-of select="@id"/></td>
				<td><xsl:value-of select="@period"/></td>
				<td align="right"><xsl:value-of select="@summa"/></td>
				<td align="right"><xsl:value-of select="@count"/></td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="@active = 'true'"></xsl:when>
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</td>
				<td>
					<xsl:choose>
						<xsl:when test="@user = 'true'"></xsl:when>
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</td>
				<!-- 
				<td>
					<a><xsl:attribute name="href">webex ecuter?action=Topic&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;id=<xsl:value-of select="@id"/></xsl:attribute><xsl:value-of select="@title"/></a>					
					<xsl:if test="@haveNewMsg = 'true'">						
						<a style="color: red;"><xsl:attribute name="href">webex ecuter?action=Topic&amp;module=ru.bitel.bgbilling.plugins.helpdesk&amp;mid=0&amp;id=<xsl:value-of select="@id"/>#new</xsl:attribute> []</a>
					</xsl:if>					
				</td>
				-->
			</tr>
			</xsl:for-each>
		</tbody>
	</table>
	</div>
	
	<xsl:if test="packages/error">
	<div class="errorMessage">
		<xsl:choose>
			<xsl:when test="packages/error/@id = 'packageIdNotFound'">  </xsl:when>
			<xsl:when test="packages/error/@id = 'packageNotFound'">  </xsl:when>
			<xsl:when test="packages/error/@id = 'packageStatusDisabled'">packageStatusDisabled</xsl:when>
			<xsl:when test="packages/error/@id = 'balanceNotValid'">       </xsl:when>
			<xsl:when test="packages/error/@id = 'chargeNotFound'">  </xsl:when>
		</xsl:choose>
	</div>
	</xsl:if>
	
	<!-- div class="infoMessage"></div        -->
	<form action="{$WEBEXECUTER}" method="POST" onSubmit="return confirm(' ,     ?');">
	<input type="hidden" name="action" value="HelpDeskPackage" />
	<input type="hidden" name="module" value="ru.bitel.bgbilling.plugins.helpdesk" />
	<input type="hidden" name="mid" value="0" />
	<input type="hidden" name="command" value="packageadd" />
	<input type="hidden" name="contractId" value="{$CONTRACT_ID}" />
	<div style="margin-top: 10px;">
		 :
		<div class="report">
			<table style="border: 0px;">
				<col class="col1" width="50" align="right" />
				<col class="col2" />
				<col class="col3" width="180" />
				<col class="col4" width="100" />
				<col class="col5" />
				<thead>
					<tr>
						<td>V</td>
						<td> </td>
						<td> []</td>
						<td></td>
						<td></td>
					</tr>
				</thead>
				<tbody>
					<xsl:for-each select="packages/tablePackage/row">
						<tr>
							<td align="center">
								<input type="radio" name="packageId">
									<xsl:attribute name="value"><xsl:value-of select="@id" /></xsl:attribute>
								</input>
							</td>
							<td>
								<xsl:value-of select="@title" />
							</td>
							<td nowrap="nowrap">
								<xsl:value-of select="@formatPeriod" />
								[
								<xsl:value-of select="@period" />
								]
							</td>
							<td align="right">
								<xsl:value-of select="@count" />
							</td>
							<td align="right">
								<xsl:value-of select="@summa" />
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
			<div style="margin-top: 10px; margin-left: 0px;">
				<input type="submit" class="submit" value="" />
				(           
				  )
			</div>
		</div>
	</div>
	</form>
</xsl:template>

	<xsl:template name="message">
		<xsl:if test="//data/message">
		<div class="infoMessage">
			<xsl:choose>
				<xsl:when test="//data/message/@id = 'save'">
					:  .
				</xsl:when>
				<xsl:otherwise>
					: id =
					<xsl:value-of select="//data/message/@id" />
				</xsl:otherwise>
			</xsl:choose>
		</div>
		</xsl:if>
	</xsl:template>

	<xsl:template name="HelpDeskAdd">
		<xsl:choose>
			<xsl:when test="//data/error and //data/error/@id = 'activePackageNotFound'">
				<xsl:call-template name="error" />
			</xsl:when>
			<xsl:otherwise>
				<form action="{$WEBEXECUTER}" method="POST" enctype="multipart/form-data">
					<xsl:call-template name="action" />
					<xsl:call-template name="error" />
					<input name="command" value="savetopic" type="hidden" />
					<input type="hidden" name="contractId" value="{$CONTRACT_ID}" />
					<table style="width: 100%; font-size: 10pt;">
						<tr>
							<td>
								
								<br />
								<input type="text" style="width: 100%;" name="topic_title" size="50">
									<xsl:attribute name="value">
										<xsl:value-of select="currentvalues/@topic_title" />
									</xsl:attribute>
								</input>
							</td>
						</tr>
						<tr>
							<td>
								 ,  
								<br />
								<textarea name="message_body" cols="100" rows="20">
									<xsl:value-of select="currentvalues/@message_body" />
								</textarea>
							</td>
						</tr>
						<tr>
							<td>
								   :
								<br />
								<table>
									<tr>
										<td>
											<input type="radio" name="topic.comm.mode" value="0">
												<xsl:if test="currentvalues/@topic.comm.mode = '0'">
													<xsl:attribute name="checked">checked</xsl:attribute>
												</xsl:if>
											</input>
										</td>
										<td> </td>
										<td></td>
									</tr>
									<xsl:if test="currentvalues/@topic.comm.phone.enable = 'true'">
										<tr>
											<td>
												<input type="radio" name="topic.comm.mode" value="1">
													<xsl:if test="currentvalues/@topic.comm.mode = '1'">
														<xsl:attribute name="checked">checked</xsl:attribute>
													</xsl:if>
												</input>
											</td>
											<td> </td>
											<td>
												<input type="text" size="30" name="topic.comm.phone.value">
													<xsl:attribute name="value"><xsl:value-of
														select="currentvalues/@topic.comm.phone.value" /></xsl:attribute>
												</input>
											</td>
										</tr>
									</xsl:if>
									<xsl:if test="currentvalues/@topic.comm.email.enable = 'true'">
										<tr>
											<td>
												<input type="radio" name="topic.comm.mode" value="2">
													<xsl:if test="currentvalues/@topic.comm.mode = '2'">
														<xsl:attribute name="checked">checked</xsl:attribute>
													</xsl:if>
												</input>
											</td>
											<td> email</td>
											<td>
												<input type="text" size="30" name="topic.comm.email.value">
													<xsl:attribute name="value"><xsl:value-of
														select="currentvalues/@topic.comm.email.value" /></xsl:attribute>
												</input>
											</td>
										</tr>
									</xsl:if>
								</table>
							</td>
						</tr>
						<tr>
							<td id="tdwithfileinput">
								 <br/>
								<input type="file" size="50" name="message_file_1" onchange="filechange();" />
							</td>
						</tr>
						<tr>
							<td>
								<input type="submit" value="" />
							</td>
						</tr>
					</table>
				</form>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="HelpDeskTopic">
		<div class="HelpDeskTopicInfo">
			<span class="n">ID:</span>
			<span class="v">#<xsl:value-of select="topic/@id" />;</span>
			<span class="n">:</span>
			<span class="v">
				<xsl:choose>
					<xsl:when test="topic/@closed = 'false'"></xsl:when>
					<xsl:when test="topic/@closed = 'true'"></xsl:when>
				</xsl:choose>;
			</span>
			<span class="n"> : </span>
			<span class="v">
				<xsl:value-of select="topic/@date" />;
			</span>
			<span class="n">:</span>
			<span class="v">
				<xsl:choose>
					<xsl:when test="topic/@comm = '0'"></xsl:when>
					<xsl:when test="topic/@comm = '1'"> : <xsl:value-of select="topic/@comm_value" /></xsl:when>
					<xsl:when test="topic/@comm = '2'"> e-mail: <xsl:value-of select="topic/@comm_value" /></xsl:when>
				</xsl:choose>;
			</span>
			<span class="n">:</span>
			<span class="v">
				<xsl:value-of select="topic/@user" />
			</span>
		</div>
		<div class="HelpDeskTopicTitle">
			<span>:</span>
			<xsl:value-of select="topic/@title" />
		</div>

		<hr />

		<xsl:for-each select="topic/message">
			<table width="100%" border="0" cellpadding="1" style="border: 1px solid #8080ff; margin-bottom: 10px;">
				<tr>
					<td style="padding: 3px 10px; border: 1px solid #8080ff; background-color: #a0d0ff;">
						<div class="HelpDeskTopicMessage">
							<xsl:if test="@isNewMessage = 'true'">
								<a name="new"><span class="new">!!!</span></a>
							</xsl:if>
							<span class="n"> ID:</span>
							<span class="v">#<xsl:value-of select="@id" />;</span>
							<span class="n">:</span>
							<span class="v"><xsl:value-of select="@userFrom" />	 <xsl:value-of select="@dateFrom" />;</span>
							<span class="n">:</span>
							<span class="v"><xsl:value-of select="@userTo" />  <xsl:value-of select="@dateTo" /></span>
						</div>
					</td>
				</tr>
				<xsl:if test="file">
				<tr>
					<td>
							<div style="font-size: 9pt;">
							<xsl:for-each select="file">
								<img src="img/attach.png" alt=""/>
								<a href="{$WEBEXECUTER}?action=FileDownload&#38;mid=0&#38;module=ru.bitel.bgbilling.plugins.helpdesk&#38;id={@id}&amp;contractId={$CONTRACT_ID}" style="text-decoration: underline;">
									<xsl:value-of select="@title" />
								</a>
								(<xsl:value-of select="@size" /> );
								<a href="{$WEBEXECUTER}?action=FileDelete&#38;mid=0&#38;module=ru.bitel.bgbilling.plugins.helpdesk&#38;id={@id}&#38;topicId={../../@id}&amp;contractId={$CONTRACT_ID}"></a>
							</xsl:for-each>
							</div>
					</td>
				</tr>
				</xsl:if>
				<tr>
					<td align="left"><xsl:if test="@userFrom != ''"><xsl:attribute name="style">padding-left: 50px;</xsl:attribute></xsl:if>
						<div class="HelpDeskTopicMessageText" style="padding: 5px 10px;">
							<xsl:call-template name="n2br">
								<xsl:with-param name="text">
									<xsl:value-of select="@body" />
								</xsl:with-param>
							</xsl:call-template>
						</div>
					</td>
				</tr>
			</table>
		</xsl:for-each>

		<xsl:if test="topic/@closed = 'false'">
			<form action="{$WEBEXECUTER}" method="POST" enctype="multipart/form-data">
				<xsl:call-template name="action" />
				<xsl:call-template name="error" />
				<input name="command" value="savemessage" type="hidden" />
				<input name="id" type="hidden">
					<xsl:attribute name="value"><xsl:value-of select="topic/@id" /></xsl:attribute>
				</input>
				<input type="hidden" name="contractId" value="{$CONTRACT_ID}" />
				<table style="width: 100%; font-size: 10pt;">
					<tr>
						<td>
							 <br/>
							<textarea name="message_body" cols="120" rows="20"></textarea>
						</td>
					</tr>
					<tr>
						<td id="tdwithfileinput">
							 <br/>
							<input type="file" name="message_file_1" size="50" onchange="filechange();" />
						</td>
					</tr>
					<tr>
						<td style="padding: 10px 0px;">
							<input type="submit" value="" />
							<ht/>
							<input type="button" value="  " onClick="sendAndClose(this);"/>
						</td>
					</tr>
				</table>
			</form>
		</xsl:if>
	</xsl:template>


	<xsl:template name="HelpDeskParam">
		<div style="margin-top: 10px;">
			        :
		</div>
		<form action="{$WEBEXECUTER}" method="POST" enctype="multipart/form-data">
				<xsl:call-template name="action" />
				<xsl:call-template name="error" />
				<xsl:call-template name="message" />
				<input type="hidden" name="contractId" value="{$CONTRACT_ID}" />
				<table style="font-size: 10pt;">
					<tr>
						<td>
							<input type="radio" name="default.comm.mode" value="0">
								<xsl:if test="currentvalues/@default.comm.mode = '0'">
									<xsl:attribute name="checked">checked</xsl:attribute>
								</xsl:if>
							</input>
						</td>
						<td> </td>
						<td></td>
					</tr>
					<xsl:if test="currentvalues/@default.comm.phone.enable = 'true'">
						<tr>
							<td>
								<input type="radio" name="default.comm.mode" value="1">
									<xsl:if test="currentvalues/@default.comm.mode = '1'">
										<xsl:attribute name="checked">checked</xsl:attribute>
									</xsl:if>
								</input>
							</td>
							<td> </td>
							<td>
								<input type="text" size="30" name="default.comm.phone.value">
									<xsl:attribute name="value"><xsl:value-of
										select="currentvalues/@default.comm.phone.value" /></xsl:attribute>
								</input>
							</td>
						</tr>
					</xsl:if>
					<xsl:if test="currentvalues/@default.comm.email.enable = 'true'">
						<tr>
							<td>
								<input type="radio" name="default.comm.mode" value="2">
									<xsl:if test="currentvalues/@default.comm.mode = '2'">
										<xsl:attribute name="checked">checked</xsl:attribute>
									</xsl:if>
								</input>
							</td>
							<td> email</td>
							<td>
								<input type="text" size="30" name="default.comm.email.value">
									<xsl:attribute name="value"><xsl:value-of
										select="currentvalues/@default.comm.email.value" /></xsl:attribute>
								</input>
							</td>
						</tr>
					</xsl:if>
					<tr>
						<td colspan="3" align="left">
							<br />
							<input type="submit" value="" />
						</td>
					</tr>
				</table>
		</form>
	</xsl:template>


	<!-- TODO      ,  
	  "error"      ,  
	    ,   .   
	     ,   ,   -  -->
	<xsl:template name="error">
		<xsl:if test="//data/error">
		<div class="errorMessage">
			<xsl:choose>
				<xsl:when test="//data/error/@id = 'subjectNotEmpty'">
					:     .
				</xsl:when>
				<xsl:when test="//data/error/@id = 'bodyNotEmpty'">
					: C   .
				</xsl:when>
				<xsl:when test="//data/error/@id = 'topicNotFound'">
					:    
				</xsl:when>
				<xsl:when test="//data/error/@id = 'badOwner'">
					:     .
				</xsl:when>
				<xsl:when test="//data/error/@id = 'topicClosed'">
					:  .       .
				</xsl:when>
				<xsl:when test="//data/error/@id = 'noStatusNoClose'">
					 ,     ,     .
				</xsl:when>
				<xsl:otherwise>
					: id =
					<xsl:value-of select="//data/error/@id" />
				</xsl:otherwise>
			</xsl:choose>
		</div>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>